﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Infragistics.Web.Mvc;

namespace UpdatingSample.Controllers
{
	public class HomeController : Controller
	{
		public ActionResult Index()
		{
			var model = new List<CfgCatalog>();
			model.Add(new CfgCatalog() { ID = 1, Name = "Some Name 1", CfgCatalogItems = new List<CfgCatalogItem>() });
			model[0].CfgCatalogItems.Add(new CfgCatalogItem() { ID = 1, CfgCatalogID = 1, ChoiceValue = 5, Label = "Some Label", Congruent = true });
			model.Add(new CfgCatalog() { ID = 2, Name = "Some Name 2", CfgCatalogItems = new List<CfgCatalogItem>() });
			model[1].CfgCatalogItems.Add(new CfgCatalogItem() { ID = 1, CfgCatalogID = 2, ChoiceValue = 1, Label = "Some Label", Congruent = true });
			return View(model.AsQueryable<CfgCatalog>());
		}

		public ActionResult About()
		{
			ViewBag.Message = "Your application description page.";

			return View();
		}

		public ActionResult Contact()
		{
			ViewBag.Message = "Your contact page.";

			return View();
		}

		public ActionResult CfgCatalogsSaveData()
		{
			GridModel gridModel = new GridModel();
			List<Transaction<CfgCatalog>> transactions = gridModel.LoadTransactions<CfgCatalog>(HttpContext.Request.Form["ig_transactions"]);
			List<Transaction<CfgCatalogItem>> transactions2 = gridModel.LoadTransactions<CfgCatalogItem>(HttpContext.Request.Form["ig_transactions"]);
			//var model = db.CfgCatalogs;
			foreach (Transaction<CfgCatalog> t in transactions)
			{
			}
			//db.SaveChanges();
			JsonResult result = new JsonResult();
			Dictionary<string, bool> response = new Dictionary<string, bool>();
			response.Add("Success", true);
			result.Data = response;
			return result;
		}
	}
}